MV(1)

NOM
mv - Déplacer ou renommer des fichiers

SYNOPSIS
mv [OPTION]... [-T] SOURCE CIBLE
mv [OPTION]... SOURCE... RÉPERTOIRE
mv [OPTION]... -t RÉPERTOIRE SOURCE...

DESCRIPTION

Renommer la SOURCE en CIBLE ou déplacer la SOURCE vers le RÉPERTOIRE.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

--backup[=MODE]
    archiver chaque fichier cible existant

-b  identique à --backup mais sans paramètre

-f, --force
    ne pas demander de confirmation avant d'écraser

-i, --interactive
    demander confirmation avant d'écraser

-n, --no-clobber
    ne pas écraser un fichier existant

Si vous fournissez plus d'une des options -i, -f, -n, seule la dernière prendra effet.

--strip-trailing-slashes
    enlever le « / » en suffixe de chaque paramètre SOURCE

-S, --suffix=SUFFIXE
    écraser le suffixe habituel d'archivage avec le SUFFIXE

-t, --target-directory=RÉPERTOIRE
    déplacer tous les paramètres SOURCE vers le RÉPERTOIRE

-T, --no-target-directory
    traiter la CIBLE comme un fichier normal

-u, --update
    déplacer seulement lorsque les fichiers SOURCE sont plus récents que les fichiers de la cible ou lorsque les fichiers de la cible sont manquants

-v, --verbose
    expliquer ce qui est fait

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

Le suffixe d'archivage est « ~ », à moins d'avoir été initialisé avec --suffix ou SIMPLE_BACKUP_SUFFIX. La méthode de contrôle de version peut être choisie à l'aide de l'option --backup ou à l'aide de la variable d'environnement VERSION_CONTROL parmi les valeurs suivantes :

none, off
    ne jamais archiver (même si --backup est utilisé)

numbered, t
    faire des archives numérotées

existing, nil
    numéroter si des archives numérotées existent déjà, sinon ne pas numéroter

simple, never
    toujours faire des archives de type simple

AUTEUR
Écrit par Mike Parker, David MacKenzie et Jim Meyering.

SIGNALER DES BOGUES
Signaler toute anomalie de mv à bug-coreutils@gnu.org
Page d'accueil de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Aide générale sur l'utilisation des logiciels GNU : <http://www.gnu.org/gethelp/>
Signaler toute erreur de traduction de mv à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
rename(2)

La documentation complète pour mv est disponible dans un manuel Texinfo. Si les programmes info et mv sont correctement installés sur votre système, la commande

    info coreutils 'mv invocation'

devrait vous donner accès au manuel complet (en anglais).

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Simon Paillard <simon DOT paillard AT resel DOT enst-bretagne DOT fr> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.